For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Custom Variables
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • POSTCreate a simulation case
      • GETList simulation cases
      • GETGet a simulation case
      • PUTUpdate a simulation case
      • DELDelete a simulation case
      • POSTGenerate test cases
      • GETList simulation cases by agent
      • POSTCreate a simulation suite
      • GETList simulation suites
      • GETGet a simulation suite
      • PUTUpdate a simulation suite
      • DELDelete a simulation suite
      • POSTExecute a simulation suite
      • POSTCreate a simulation scenario
      • GETList simulation scenarios
      • GETGet a simulation scenario
      • PUTUpdate a simulation scenario
      • DELDelete a simulation scenario
      • POSTStart a simulation
      • GETList simulation sessions
      • GETGet a simulation session
      • GETList simulations
      • GETGet a simulation
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APISimulations

Start a simulation

||View as Markdown|
POST
/simulations
POST
/v2/simulations
$curl -X POST https://api.synthflow.ai/v2/simulations \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "simulation_case_id": "9ad09ad3-9c22-441e-ae35-c05016a09786",
> "target_agent_id": "1726005822670-239735712159542050",
> "custom_variables": {
> "customer_name": "John Doe"
> }
>}'
1{
2 "status": "ok",
3 "response": {
4 "simulation_id": "b29da8ff-c89e-4628-94b6-d81193f883c7"
5 }
6}
Start a new simulation using a simulation case.
Was this page helpful?
Previous

List simulation sessions

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
simulation_case_idstringRequiredformat: "uuid"
target_agent_idstringRequiredformat: "uuid"
simulation_session_idstring or nullOptionalformat: "uuid"
custom_variablesmap from strings to anyOptional

Response

200
statusstring
Whether the request was successful.
responseobject
Simulation details.

Errors

400
Bad Request Error
404
Not Found Error
422
Unprocessable Entity Error